import os
from sqlalchemy import create_engine
from scrapy_proj.models import Base

# 确保data目录存在
os.makedirs("data", exist_ok=True)

# 创建数据库引擎
DATABASE_URL = "sqlite:///data/videos.db"
engine = create_engine(DATABASE_URL)

def init_db():
    """初始化数据库，创建所有表"""
    Base.metadata.create_all(bind=engine)
    print("数据库表创建成功！")

if __name__ == "__main__":
    init_db()