#!/bin/bash

# 版本号文件
VERSION_FILE=".version"

# 默认版本号
DEFAULT_VERSION="latest"

# 构建 Docker 镜像
IMAGE_NAME="crawler_zgjs" 
TAG="$IMAGE_NAME:$DEFAULT_VERSION"

echo "🛠️  构建Docker镜像: $TAG"
docker build -t "$TAG" .

echo "✅ 构建成功! 版本号: $DEFAULT_VERSION"